Skip to content

Sync Api

immichpy.client.generated.api.sync_api.SyncApi

SyncApi(api_client=None)

NOTE: This class is auto generated by OpenAPI Generator Ref: https://openapi-generator.tech

Do not edit the class manually.

Source code in immichpy/client/generated/api/sync_api.py
40
41
42
43
def __init__(self, api_client=None) -> None:
    if api_client is None:
        api_client = ApiClient.get_default()
    self.api_client = api_client

delete_sync_ack async

delete_sync_ack(sync_ack_delete_dto: SyncAckDeleteDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> None

Delete acknowledgements

Delete specific synchronization acknowledgments.

Parameters:

Name Type Description Default
sync_ack_delete_dto SyncAckDeleteDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
None

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
 45
 46
 47
 48
 49
 50
 51
 52
 53
 54
 55
 56
 57
 58
 59
 60
 61
 62
 63
 64
 65
 66
 67
 68
 69
 70
 71
 72
 73
 74
 75
 76
 77
 78
 79
 80
 81
 82
 83
 84
 85
 86
 87
 88
 89
 90
 91
 92
 93
 94
 95
 96
 97
 98
 99
100
101
102
103
104
105
106
107
@validate_call
async def delete_sync_ack(
    self,
    sync_ack_delete_dto: SyncAckDeleteDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> None:
    """Delete acknowledgements

    Delete specific synchronization acknowledgments.

    :param sync_ack_delete_dto: (required)
    :type sync_ack_delete_dto: SyncAckDeleteDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._delete_sync_ack_serialize(
        sync_ack_delete_dto=sync_ack_delete_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

delete_sync_ack_with_http_info async

delete_sync_ack_with_http_info(sync_ack_delete_dto: SyncAckDeleteDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[None]

Delete acknowledgements

Delete specific synchronization acknowledgments.

Parameters:

Name Type Description Default
sync_ack_delete_dto SyncAckDeleteDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[None]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
@validate_call
async def delete_sync_ack_with_http_info(
    self,
    sync_ack_delete_dto: SyncAckDeleteDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[None]:
    """Delete acknowledgements

    Delete specific synchronization acknowledgments.

    :param sync_ack_delete_dto: (required)
    :type sync_ack_delete_dto: SyncAckDeleteDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._delete_sync_ack_serialize(
        sync_ack_delete_dto=sync_ack_delete_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

delete_sync_ack_without_preload_content async

delete_sync_ack_without_preload_content(sync_ack_delete_dto: SyncAckDeleteDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Delete acknowledgements

Delete specific synchronization acknowledgments.

Parameters:

Name Type Description Default
sync_ack_delete_dto SyncAckDeleteDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
@validate_call
async def delete_sync_ack_without_preload_content(
    self,
    sync_ack_delete_dto: SyncAckDeleteDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Delete acknowledgements

    Delete specific synchronization acknowledgments.

    :param sync_ack_delete_dto: (required)
    :type sync_ack_delete_dto: SyncAckDeleteDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._delete_sync_ack_serialize(
        sync_ack_delete_dto=sync_ack_delete_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_delta_sync async

get_delta_sync(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> AssetDeltaSyncResponseDto

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
AssetDeltaSyncResponseDto

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
@validate_call
async def get_delta_sync(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> AssetDeltaSyncResponseDto:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_delta_sync_with_http_info async

get_delta_sync_with_http_info(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[AssetDeltaSyncResponseDto]

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[AssetDeltaSyncResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
@validate_call
async def get_delta_sync_with_http_info(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[AssetDeltaSyncResponseDto]:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_delta_sync_without_preload_content async

get_delta_sync_without_preload_content(asset_delta_sync_dto: AssetDeltaSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Get delta sync for user

Retrieve changed assets since the last sync for the authenticated user.

Parameters:

Name Type Description Default
asset_delta_sync_dto AssetDeltaSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
@validate_call
async def get_delta_sync_without_preload_content(
    self,
    asset_delta_sync_dto: AssetDeltaSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Get delta sync for user

    Retrieve changed assets since the last sync for the authenticated user.

    :param asset_delta_sync_dto: (required)
    :type asset_delta_sync_dto: AssetDeltaSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/delta-sync is deprecated.", DeprecationWarning)

    _param = self._get_delta_sync_serialize(
        asset_delta_sync_dto=asset_delta_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "AssetDeltaSyncResponseDto",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_full_sync_for_user async

get_full_sync_for_user(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[AssetResponseDto]

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[AssetResponseDto]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
@validate_call
async def get_full_sync_for_user(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[AssetResponseDto]:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_full_sync_for_user_with_http_info async

get_full_sync_for_user_with_http_info(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[AssetResponseDto]]

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[AssetResponseDto]]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
@validate_call
async def get_full_sync_for_user_with_http_info(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[AssetResponseDto]]:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_full_sync_for_user_without_preload_content async

get_full_sync_for_user_without_preload_content(asset_full_sync_dto: AssetFullSyncDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

(Deprecated) Get full sync for user

Retrieve all assets for a full synchronization for the authenticated user.

Parameters:

Name Type Description Default
asset_full_sync_dto AssetFullSyncDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
@validate_call
async def get_full_sync_for_user_without_preload_content(
    self,
    asset_full_sync_dto: AssetFullSyncDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """(Deprecated) Get full sync for user

    Retrieve all assets for a full synchronization for the authenticated user.

    :param asset_full_sync_dto: (required)
    :type asset_full_sync_dto: AssetFullSyncDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501
    warnings.warn("POST /sync/full-sync is deprecated.", DeprecationWarning)

    _param = self._get_full_sync_for_user_serialize(
        asset_full_sync_dto=asset_full_sync_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[AssetResponseDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_sync_ack async

get_sync_ack(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> List[SyncAckDto]

Retrieve acknowledgements

Retrieve the synchronization acknowledgments for the current session.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
List[SyncAckDto]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
@validate_call
async def get_sync_ack(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> List[SyncAckDto]:
    """Retrieve acknowledgements

    Retrieve the synchronization acknowledgments for the current session.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_ack_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[SyncAckDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_sync_ack_with_http_info async

get_sync_ack_with_http_info(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[List[SyncAckDto]]

Retrieve acknowledgements

Retrieve the synchronization acknowledgments for the current session.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[List[SyncAckDto]]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
@validate_call
async def get_sync_ack_with_http_info(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[List[SyncAckDto]]:
    """Retrieve acknowledgements

    Retrieve the synchronization acknowledgments for the current session.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_ack_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[SyncAckDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_sync_ack_without_preload_content async

get_sync_ack_without_preload_content(_request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Retrieve acknowledgements

Retrieve the synchronization acknowledgments for the current session.

Parameters:

Name Type Description Default
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
921
922
923
924
925
926
927
928
929
930
931
932
933
934
935
936
937
938
939
940
941
942
943
944
945
946
947
948
949
950
951
952
953
954
955
956
957
958
959
960
961
962
963
964
965
966
967
968
969
970
971
972
973
974
975
@validate_call
async def get_sync_ack_without_preload_content(
    self,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Retrieve acknowledgements

    Retrieve the synchronization acknowledgments for the current session.

    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_ack_serialize(
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": "List[SyncAckDto]",
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

get_sync_stream async

get_sync_stream(sync_stream_dto: SyncStreamDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> None

Stream sync changes

Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

Parameters:

Name Type Description Default
sync_stream_dto SyncStreamDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
None

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1028
1029
1030
1031
1032
1033
1034
1035
1036
1037
1038
1039
1040
1041
1042
1043
1044
1045
1046
1047
1048
1049
1050
1051
1052
1053
1054
1055
1056
1057
1058
1059
1060
1061
1062
1063
1064
1065
1066
1067
1068
1069
1070
1071
1072
1073
1074
1075
1076
1077
1078
1079
1080
1081
1082
1083
1084
1085
1086
1087
1088
1089
1090
@validate_call
async def get_sync_stream(
    self,
    sync_stream_dto: SyncStreamDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> None:
    """Stream sync changes

    Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

    :param sync_stream_dto: (required)
    :type sync_stream_dto: SyncStreamDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_stream_serialize(
        sync_stream_dto=sync_stream_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

get_sync_stream_with_http_info async

get_sync_stream_with_http_info(sync_stream_dto: SyncStreamDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[None]

Stream sync changes

Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

Parameters:

Name Type Description Default
sync_stream_dto SyncStreamDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[None]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1092
1093
1094
1095
1096
1097
1098
1099
1100
1101
1102
1103
1104
1105
1106
1107
1108
1109
1110
1111
1112
1113
1114
1115
1116
1117
1118
1119
1120
1121
1122
1123
1124
1125
1126
1127
1128
1129
1130
1131
1132
1133
1134
1135
1136
1137
1138
1139
1140
1141
1142
1143
1144
1145
1146
1147
1148
1149
1150
1151
1152
1153
1154
@validate_call
async def get_sync_stream_with_http_info(
    self,
    sync_stream_dto: SyncStreamDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[None]:
    """Stream sync changes

    Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

    :param sync_stream_dto: (required)
    :type sync_stream_dto: SyncStreamDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_stream_serialize(
        sync_stream_dto=sync_stream_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

get_sync_stream_without_preload_content async

get_sync_stream_without_preload_content(sync_stream_dto: SyncStreamDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Stream sync changes

Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

Parameters:

Name Type Description Default
sync_stream_dto SyncStreamDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1156
1157
1158
1159
1160
1161
1162
1163
1164
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185
1186
1187
1188
1189
1190
1191
1192
1193
1194
1195
1196
1197
1198
1199
1200
1201
1202
1203
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
@validate_call
async def get_sync_stream_without_preload_content(
    self,
    sync_stream_dto: SyncStreamDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Stream sync changes

    Retrieve a JSON lines streamed response of changes for synchronization. This endpoint is used by the mobile app to efficiently stay up to date with changes.

    :param sync_stream_dto: (required)
    :type sync_stream_dto: SyncStreamDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._get_sync_stream_serialize(
        sync_stream_dto=sync_stream_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "200": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response

send_sync_ack async

send_sync_ack(sync_ack_set_dto: SyncAckSetDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> None

Acknowledge changes

Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

Parameters:

Name Type Description Default
sync_ack_set_dto SyncAckSetDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
None

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1274
1275
1276
1277
1278
1279
1280
1281
1282
1283
1284
1285
1286
1287
1288
1289
1290
1291
1292
1293
1294
1295
1296
1297
1298
1299
1300
1301
1302
1303
1304
1305
1306
1307
1308
1309
1310
1311
1312
1313
1314
1315
1316
1317
1318
1319
1320
1321
1322
1323
1324
1325
1326
1327
1328
1329
1330
1331
1332
1333
1334
1335
1336
@validate_call
async def send_sync_ack(
    self,
    sync_ack_set_dto: SyncAckSetDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> None:
    """Acknowledge changes

    Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

    :param sync_ack_set_dto: (required)
    :type sync_ack_set_dto: SyncAckSetDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._send_sync_ack_serialize(
        sync_ack_set_dto=sync_ack_set_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    ).data

send_sync_ack_with_http_info async

send_sync_ack_with_http_info(sync_ack_set_dto: SyncAckSetDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> ApiResponse[None]

Acknowledge changes

Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

Parameters:

Name Type Description Default
sync_ack_set_dto SyncAckSetDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
ApiResponse[None]

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1338
1339
1340
1341
1342
1343
1344
1345
1346
1347
1348
1349
1350
1351
1352
1353
1354
1355
1356
1357
1358
1359
1360
1361
1362
1363
1364
1365
1366
1367
1368
1369
1370
1371
1372
1373
1374
1375
1376
1377
1378
1379
1380
1381
1382
1383
1384
1385
1386
1387
1388
1389
1390
1391
1392
1393
1394
1395
1396
1397
1398
1399
1400
@validate_call
async def send_sync_ack_with_http_info(
    self,
    sync_ack_set_dto: SyncAckSetDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> ApiResponse[None]:
    """Acknowledge changes

    Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

    :param sync_ack_set_dto: (required)
    :type sync_ack_set_dto: SyncAckSetDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._send_sync_ack_serialize(
        sync_ack_set_dto=sync_ack_set_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    await response_data.read()
    return self.api_client.response_deserialize(
        response_data=response_data,
        response_types_map=_response_types_map,
    )

send_sync_ack_without_preload_content async

send_sync_ack_without_preload_content(sync_ack_set_dto: SyncAckSetDto, _request_timeout: Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]] = None, _request_auth: Optional[Dict[StrictStr, Any]] = None, _content_type: Optional[StrictStr] = None, _headers: Optional[Dict[StrictStr, Any]] = None, _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0) -> RESTResponseType

Acknowledge changes

Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

Parameters:

Name Type Description Default
sync_ack_set_dto SyncAckSetDto

(required)

required
_request_timeout Union[None, Annotated[StrictFloat, Field(gt=0)], Tuple[Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]]]

timeout setting for this request. If one number provided, it will be total request timeout. It can also be a pair (tuple) of (connection, read) timeouts.

None
_request_auth Optional[Dict[StrictStr, Any]]

set to override the auth_settings for an a single request; this effectively ignores the authentication in the spec for a single request.

None
_content_type Optional[StrictStr]

force content-type for the request.

None
_headers Optional[Dict[StrictStr, Any]]

set to override the headers for a single request; this effectively ignores the headers in the spec for a single request.

None
_host_index Annotated[StrictInt, Field(ge=0, le=0)]

set to override the host_index for a single request; this effectively ignores the host_index in the spec for a single request.

0

Returns:

Type Description
RESTResponseType

Returns the result object.

Source code in immichpy/client/generated/api/sync_api.py
1402
1403
1404
1405
1406
1407
1408
1409
1410
1411
1412
1413
1414
1415
1416
1417
1418
1419
1420
1421
1422
1423
1424
1425
1426
1427
1428
1429
1430
1431
1432
1433
1434
1435
1436
1437
1438
1439
1440
1441
1442
1443
1444
1445
1446
1447
1448
1449
1450
1451
1452
1453
1454
1455
1456
1457
1458
1459
1460
@validate_call
async def send_sync_ack_without_preload_content(
    self,
    sync_ack_set_dto: SyncAckSetDto,
    _request_timeout: Union[
        None,
        Annotated[StrictFloat, Field(gt=0)],
        Tuple[
            Annotated[StrictFloat, Field(gt=0)], Annotated[StrictFloat, Field(gt=0)]
        ],
    ] = None,
    _request_auth: Optional[Dict[StrictStr, Any]] = None,
    _content_type: Optional[StrictStr] = None,
    _headers: Optional[Dict[StrictStr, Any]] = None,
    _host_index: Annotated[StrictInt, Field(ge=0, le=0)] = 0,
) -> RESTResponseType:
    """Acknowledge changes

    Send a list of synchronization acknowledgements to confirm that the latest changes have been received.

    :param sync_ack_set_dto: (required)
    :type sync_ack_set_dto: SyncAckSetDto
    :param _request_timeout: timeout setting for this request. If one
                             number provided, it will be total request
                             timeout. It can also be a pair (tuple) of
                             (connection, read) timeouts.
    :type _request_timeout: int, tuple(int, int), optional
    :param _request_auth: set to override the auth_settings for an a single
                          request; this effectively ignores the
                          authentication in the spec for a single request.
    :type _request_auth: dict, optional
    :param _content_type: force content-type for the request.
    :type _content_type: str, Optional
    :param _headers: set to override the headers for a single
                     request; this effectively ignores the headers
                     in the spec for a single request.
    :type _headers: dict, optional
    :param _host_index: set to override the host_index for a single
                        request; this effectively ignores the host_index
                        in the spec for a single request.
    :type _host_index: int, optional
    :return: Returns the result object.
    """  # noqa: E501

    _param = self._send_sync_ack_serialize(
        sync_ack_set_dto=sync_ack_set_dto,
        _request_auth=_request_auth,
        _content_type=_content_type,
        _headers=_headers,
        _host_index=_host_index,
    )

    _response_types_map: Dict[str, Optional[str]] = {
        "204": None,
    }
    response_data = await self.api_client.call_api(
        *_param, _request_timeout=_request_timeout
    )
    return response_data.response